Bug 147071 - can't connect to camera Kodak Z730 using media://camera, usb storage device or auto-recognized z730 device
Summary: can't connect to camera Kodak Z730 using media://camera, usb storage device o...
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Import-Gphoto2 (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-06-22 07:41 UTC by Doug Glenn
Modified: 2017-08-16 06:00 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Doug Glenn 2007-06-22 07:41:16 UTC
Version:           0.9.2 (using KDE KDE 3.5.7)
Installed from:    SuSE RPMs
OS:                Linux

Prior to 0.9.2 version using Suse 10.2 the camera had no issues connecting.  After moving to the 9.2 version about a week ago when it was released in Yast it ceased to connect with the error "Failed to connect to the camera. Please make sure it is connected properly and turned on. Would you like to try again?" Selecting Retry does not work. Deleting the camera and adding it again via auto-detect gives the same error.  Renamed configuration files and app directory under ./kde and still have same behavior after restarting and using the auto-detect which sees the camera.  I can connect to it as media:/camera through the "My Computer" object and browse through the directories without any issues.  I can copy the images from the device to the associated directories under my normal Digicam folders without any issues. I can also browse to both the internal and external storage.  After transferring the files I reformatted the drives using the cameras format internally and they are still not recognized.

I have tried to modify the camera object in Digicam to be a simple usb storage device without any luck.  

I am using the 0.9.2-final revision on KDE 3.5.7 using kernel 2.6.18.8-0.3-default from Suse on a AMD Opteron with the x64 kernel.

Any ideas on what to try or what other information I can provide?

Obviously I would like to get back to where it recognizes the camera and utilizes the digicam menus for downloading the files, etc.
Comment 1 Arnd Baecker 2007-06-22 08:41:22 UTC
Hi Doug,

I suspect it is more a gphoto problem - let's see ;-):

Could you try the following commands and report their output:
a) connect camera, what is the output of dmesg
   (only the camera related part)
b) gphoto2 --list ports
c) gphoto2 --auto-detect
d) gphoto2 --abilities
e) gphoto2 --list-folders

It could also be a permissions problem, or
another suggestion in this long thread
  http://bugs.kde.org/show_bug.cgi?id=125696
was to install the libgphoto2-2-dev package.

Best, Arnd
Comment 2 Doug Glenn 2007-06-22 16:43:13 UTC
Greetings,

The dmesg output was:
ohci_hcd 0000:01:00.1: wakeup
usb 2-3: new full speed USB device using ohci_hcd and address 12
usb 2-3: new device found, idVendor=040a, idProduct=0580
usb 2-3: new device strings: Mfr=1, Product=2, SerialNumber=3
usb 2-3: Product: KODAK EasyShare Z730 Zoom Digital Camera
usb 2-3: Manufacturer: Eastman Kodak Company
usb 2-3: SerialNumber: KCKEP53401275
usb 2-3: configuration #1 chosen from 1 choice

gphoto2 was not found. I tried locate and there is not an executable by that
name.  I installed the -dev package and it was not a help. I found the .la
files in /usr/lib64/libgphoto2/2.2.1.5.trunk, but I forgot to check to see
if they existed before I installed the .dev package.  Ah, removed it and
they still exist in this location so it is not a packaging issue per se.
The base gphoto package is installed.

I read the thread you supplied about the .la files being missing and fixing
the issues in some of the cases but it does not appear to be the issue here.

Any other  steps I may be able to take to assist?  Do you want me to post
these results in bugzilla?

Running it as root does not make a difference, so that blows permissions as
being an issue. Following is the result of the startup in a terminal window
as root. digikamimageplugin_core.la does not exist on the local drive. Could
this possibly be the actual issue?

saul:/home/dglenn # digikam
kbuildsycoca running...
DCOP Cleaning up dead connections.
JACK tmpdir identified as [/dev/shm]
akode: Guessed format: xiph
KNotify::playTimeout
saul:/home/dglenn # KNotify::playTimeout
Found dcraw version: 8.60
digikam: WARNING: KIPI::PluginLoader:: createInstanceFromLibrary returned 0
for ImagePlugin_Core (digikamimageplugin_core) with error number 3
digikam: WARNING: KLibLoader says: Library files for
"digikamimageplugin_core.la" not found in paths.
digikam: ERROR: ImagePluginLoader: Failed to load plugin ImagePlugin_Core
JACK tmpdir identified as [/dev/shm]
akode: Guessed format: xiph
KNotify::playTimeout
KNotify::playTimeout
kbuildsycoca running...
Reusing existing ksycoca
JACK tmpdir identified as [/dev/shm]
akode: Guessed format: xiph
kio (KService*): WARNING: The desktop entry file
.hidden/dirfilterplugin.desktop has Type=Service but is located under "apps"
instead of "services"
kio (KService*): WARNING: Invalid Service : .hidden/dirfilterplugin.desktop
KNotify::playTimeout
KNotify::playTimeout
JACK tmpdir identified as [/dev/shm]
akode: Guessed format: xiph
KNotify::playTimeout
KNotify::playTimeout




On 22 Jun 2007 06:41:23 -0000, Arnd Baecker <arnd.baecker@web.de> wrote:
[bugs.kde.org quoted mail]


Regards,
Greetings,<br><br>The dmesg output was:<br>ohci_hcd 0000:01:00.1: wakeup<br>usb 2-3: new full speed USB device using ohci_hcd and address 12<br>usb 2-3: new device found, idVendor=040a, idProduct=0580<br>usb 2-3: new device strings: Mfr=1, Product=2, SerialNumber=3
<br>usb 2-3: Product: KODAK EasyShare Z730 Zoom Digital Camera<br>usb 2-3: Manufacturer: Eastman Kodak Company<br>usb 2-3: SerialNumber: KCKEP53401275<br>usb 2-3: configuration #1 chosen from 1 choice<br><br>gphoto2 was not found. I tried locate and there is not an executable by that name.&nbsp; I installed the -dev package and it was not a help. I found the .la files in /usr/lib64/libgphoto2/2.2.1.5.trunk, but I forgot to check to see if they existed before I installed the .dev package.&nbsp; Ah, removed it and they still exist in this location so it is not a packaging issue per se.&nbsp; The base gphoto package is installed. 
<br><br>I read the thread you supplied about the .la files being missing and fixing the issues in some of the cases but it does not appear to be the issue here.<br><br>Any other&nbsp; steps I may be able to take to assist?&nbsp; Do you want me to post these results in bugzilla? 
<br><br>Running it as root does not make a difference, so that blows permissions as being an issue. Following is the result of the startup in a terminal window as root. digikamimageplugin_core.la does not exist on the local drive. Could this possibly be the actual issue?
<br><br>saul:/home/dglenn # digikam<br>kbuildsycoca running...<br>DCOP Cleaning up dead connections.<br>JACK tmpdir identified as [/dev/shm]<br>akode: Guessed format: xiph<br>KNotify::playTimeout<br>saul:/home/dglenn # KNotify::playTimeout
<br>Found dcraw version: 8.60<br>digikam: WARNING: KIPI::PluginLoader:: createInstanceFromLibrary returned 0 for ImagePlugin_Core (digikamimageplugin_core) with error number 3<br>digikam: WARNING: KLibLoader says: Library files for &quot;digikamimageplugin_core.la&quot; not found in paths.
<br>digikam: ERROR: ImagePluginLoader: Failed to load plugin ImagePlugin_Core<br>JACK tmpdir identified as [/dev/shm]<br>akode: Guessed format: xiph<br>KNotify::playTimeout<br>KNotify::playTimeout<br>kbuildsycoca running...
<br>Reusing existing ksycoca<br>JACK tmpdir identified as [/dev/shm]<br>akode: Guessed format: xiph<br>kio (KService*): WARNING: The desktop entry file .hidden/dirfilterplugin.desktop has Type=Service but is located under &quot;apps&quot; instead of &quot;services&quot;
<br>kio (KService*): WARNING: Invalid Service : .hidden/dirfilterplugin.desktop<br>KNotify::playTimeout<br>KNotify::playTimeout<br>JACK tmpdir identified as [/dev/shm]<br>akode: Guessed format: xiph<br>KNotify::playTimeout
<br>KNotify::playTimeout<br><br><br><br><br><div><span class="gmail_quote">On 22 Jun 2007 06:41:23 -0000, <b class="gmail_sendername">Arnd Baecker</b> &lt;<a href="mailto:arnd.baecker@web.de">arnd.baecker@web.de</a>&gt; wrote:
</span><blockquote class="gmail_quote" style="border-left: 1px solid rgb(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;">------- You are receiving this mail because: -------<br>You reported the bug, or are watching the reporter.
<br><br><a href="http://bugs.kde.org/show_bug.cgi?id=147071">http://bugs.kde.org/show_bug.cgi?id=147071</a><br><br><br><br><br>------- Additional Comments From arnd.baecker web de&nbsp;&nbsp;2007-06-22 08:41 -------<br>Hi Doug,<br>
<br>I suspect it is more a gphoto problem - let&#39;s see ;-):<br><br>Could you try the following commands and report their output:<br>a) connect camera, what is the output of dmesg<br>&nbsp;&nbsp; (only the camera related part)<br>
b) gphoto2 --list ports<br>c) gphoto2 --auto-detect<br>d) gphoto2 --abilities<br>e) gphoto2 --list-folders<br><br>It could also be a permissions problem, or<br>another suggestion in this long thread<br>&nbsp;&nbsp;<a href="http://bugs.kde.org/show_bug.cgi?id=125696">
http://bugs.kde.org/show_bug.cgi?id=125696</a><br>was to install the libgphoto2-2-dev package.<br><br>Best, Arnd<br></blockquote></div><br><br clear="all">Regards,<br>-- <br>Doug Glenn<br>FORUM Information Systems, LLC<br>
<a href="http://foruminfosystems.com">http://foruminfosystems.com</a>
Comment 3 Arnd Baecker 2007-06-22 23:53:21 UTC
Thanks a lot for the detailed description of your attempts;
unfortunately, I am running out of ideas ...

The mesage
digikam: ERROR: ImagePluginLoader: Failed to load plugin ImagePlugin_Core
sounds relevant (never had this myself before ...).
Just for completeness (I am sure you did):
You do have LD_LIBRARY_PATH and LDPATH defined appropriately?

Does someone else have any idea how to proceed here?

Best, Arnd
Comment 4 caulier.gilles 2007-06-23 00:10:04 UTC
Arnd,

==> digikam: ERROR: ImagePluginLoader: Failed to load plugin ImagePlugin_Core 

... is certainly duing of a wrong installation of plugins, or digikam.la is a more recent version than DigikamImagePlugins (binary compatibility unrespected between plugin and shared lib "libdigikam.la"

Solution : updated to 0.9.2...

Gilles
Comment 5 Doug Glenn 2007-06-23 07:29:08 UTC
In answer to both...

------- Additional Comments From arnd.baecker web de  2007-06-22 23:53
-------
Thanks a lot for the detailed description of your attempts;
unfortunately, I am running out of ideas ...

The mesage
digikam: ERROR: ImagePluginLoader: Failed to load plugin ImagePlugin_Core
sounds relevant (never had this myself before ...).
Just for completeness (I am sure you did):
You do have LD_LIBRARY_PATH and LDPATH defined appropriately?

Does someone else have any idea how to proceed here?

On 22 Jun 2007 22:10:05 -0000, Gilles Caulier <caulier.gilles@gmail.com>
wrote:
>
> ------- Additional Comments From caulier.gilles gmail com  2007-06-23
> 00:10 -------
> Arnd,
>
> ==> digikam: ERROR: ImagePluginLoader: Failed to load plugin
> ImagePlugin_Core
>
> ... is certainly duing of a wrong installation of plugins, or digikam.lais a more recent version than DigikamImagePlugins (binary compatibility
> unrespected between plugin and shared lib "libdigikam.la"
>
> Solution : updated to 0.9.2...
>
> Gilles
>


I resolved the ==> digikam: ERROR: ImagePluginLoader: Failed to load plugin
ImagePlugin_Core by removing Digikam and reinstalling it.  Previously I had
just updated it over the last several months so apparently there was some
legacy garbage that was not cleared or removed during the upgrade process
via YAST.

The error went away.

As for Gilles, this has been about the 0.9.2-final version all along.

Arnd, with references to the two paths that you asked about, the answer is
no, neither are defined.  To determine if this was a fault in my
installation somehow, I created a new VM instance of SUSE 10.2 x86 from DVD
and after the installation completed and all the updates pulled down,
neither path instance was defined by default, so this is not an error but by
design apparently.  To check your premise though, I googled information on
it and found it on the Gentoo site and redefined it to suit my system as:
LDPATH="/lib:/usr/lib:/usr/local/lib:/usr/lib64/gcc/x86_64-suse-linux" and
then exported it.  I then started digikam from that terminal instance and it
did not appear to make any difference, the issue still is there.

Since I had reloaded I also loaded the gphoto2 and tried the gphoto2 --list
ports command and it did not recognize it as valid.  So I looked at the help
text and ran gphoto2 --list-config --debug and the following was output:
3.352981 gphoto2-port-usb(1): Looking for USB device (vendor 0x40a, product
0x58
0)... found.
3.352990 gphoto2-port-usb(1): Detected defaults: config 1, interface 0,
altsetti
ng 0, inep 81, outep 01, intep 82, class 06, subclass 01
3.353000 gphoto2-abilities-list.c(2): Found 'Kodak Z730' (0x40a,0x580)
3.353019 gphoto2-port(2): Freeing port...
3.353034 gphoto2-port(2): Closing port...
3.353394 gphoto2-camera(2): Setting abilities ('Kodak Z730')...
3.353417 gphoto2-port-info-list(2): Looking for path 'usb:' (14 entries
availabl
e)...
3.353438 gphoto2-port-info-list(2): Getting info of entry 9 (14
available)...
3.353455 gphoto2-camera(2): Setting port info for port 'Universal Serial
Bus' at
 'usb:'...
3.353873 gphoto2-port(2): Setting timeout to 5000 millisecond(s)...
3.353885 gphoto2-port(2): Setting settings...
3.353932 gphoto2-port-usb(1): Looking for USB device (vendor 0x40a, product
0x58
0)... found.
3.353945 gphoto2-port-usb(1): Detected defaults: config 1, interface 0,
altsetti
ng 0, inep 81, outep 01, intep 82, class 06, subclass 01
3.353955 gphoto2-camera(2): Loading
'/usr/lib64/libgphoto2/2.2.1.5.trunk/ptp2'..
.
3.354194 gphoto2-port(2): Opening USB port...
3.354249 gphoto2-port(0): Could not query kernel driver of device.
3.354322 gphoto2-port(2): Setting timeout to 8000 millisecond(s)...
3.354339 ptp(2): PTP: Opening session
3.354353 gphoto2-port(2): Writing 16=0x10 byte(s) to port...
3.354367 gphoto2-port(3): Hexdump of 16 = 0x10 bytes follows:
0000  10 00 00 00 01 00 02 10-00 00 00 00 01 00 00 00  ................

3.356312 gphoto2-port(2): Reading 4096=0x1000 bytes from port...
3.373287 gphoto2-port(2): Could only read 12 out of 4096 byte(s)
3.373306 gphoto2-port(3): Hexdump of 12 = 0xc bytes follows:
0000  0c 00 00 00 03 00 01 20-00 00 00 00              ....... ....

3.373320 gphoto2-port(2): Setting timeout to 20000 millisecond(s)...
3.373340 gphoto2-port(2): Writing 12=0xc byte(s) to port...
3.373351 gphoto2-port(3): Hexdump of 12 = 0xc bytes follows:
0000  0c 00 00 00 01 00 01 10-01 00 00 00              ............

3.375238 gphoto2-port(2): Reading 4096=0x1000 bytes from port...
3.376235 gphoto2-port(2): Could only read 409 out of 4096 byte(s)
3.376254 gphoto2-port(3): Hexdump of 409 = 0x199 bytes follows:
0000  99 01 00 00 02 00 01 10-01 00 00 00 64 00 01 00  ............d...
0010  00 00 90 01 37 45 00 61-00 73 00 74 00 6d 00 61  ....7E.a.s.t.m.a
0020  00 6e 00 20 00 4b 00 6f-00 64 00 61 00 6b 00 20  .n. .K.o.d.a.k.
0030  00 50 00 54 00 50 00 20-00 45 00 78 00 74 00 65  .P.T.P. .E.x.t.e
0040  00 6e 00 73 00 69 00 6f-00 6e 00 73 00 20 00 53  .n.s.i.o.n.s. .S
0050  00 50 00 44 00 20 00 53-00 70 00 65 00 63 00 69  .P.D. .S.p.e.c.i
0060  00 66 00 69 00 63 00 61-00 74 00 69 00 6f 00 6e  .f.i.c.a.t.i.o.n
0070  00 20 00 56 00 65 00 72-00 31 00 2e 00 30 00 30  . .V.e.r.1...0.0
0080  00 00 00 00 00 26 00 00-00 01 10 02 10 03 10 04  .....&..........
0090  10 05 10 06 10 07 10 08-10 09 10 0a 10 0b 10 0c  ................
00a0  10 0d 10 0f 10 12 10 13-10 14 10 15 10 16 10 17  ................
00b0  10 1b 10 05 90 06 90 07-90 08 90 09 90 0a 90 0b  ................
00c0  90 0c 90 0d 90 0e 90 0f-90 10 90 11 90 01 91 02  ................
00d0  91 03 91 04 91 09 00 00-00 01 40 02 40 03 40 04  ..........@.@.@.
00e0  40 05 40 06 40 09 40 0e-40 01 c0 07 00 00 00 01  @.@.@.@.@.......
00f0  50 11 50 06 d0 07 d0 08-d0 09 d0 0a d0 00 00 00  P.P.............
0100  00 03 00 00 00 0d 30 01-38 02 b8 16 45 00 61 00  ......0.8...E.a.
0110  73 00 74 00 6d 00 61 00-6e 00 20 00 4b 00 6f 00  s.t.m.a.n. .K.o.
0120  64 00 61 00 6b 00 20 00-43 00 6f 00 6d 00 70 00  d.a.k. .C.o.m.p.
0130  61 00 6e 00 79 00 00 00-19 5a 00 37 00 33 00 30  a.n.y....Z.7.3.0
0140  00 20 00 5a 00 6f 00 6f-00 6d 00 20 00 44 00 69  . .Z.o.o.m. .D.i
0150  00 67 00 69 00 74 00 61-00 6c 00 20 00 43 00 61  .g.i.t.a.l. .C.a
0160  00 6d 00 65 00 72 00 61-00 00 00 08 30 00 31 00  .m.e.r.a....0.1.
0170  2e 00 30 00 30 00 30 00-30 00 00 00 0e 4b 00 43  ..0.0.0.0....K.C
0180  00 4b 00 45 00 50 00 35-00 33 00 34 00 30 00 31  .K.E.P.5.3.4.0.1
0190  00 32 00 37 00 35 00 00-00                       .2.7.5...

3.376312 gphoto2-port(2): Reading 4096=0x1000 bytes from port...
3.379238 gphoto2-port(2): Could only read 12 out of 4096 byte(s)
3.379254 gphoto2-port(3): Hexdump of 12 = 0xc bytes follows:
0000  0c 00 00 00 03 00 01 20-01 00 00 00              ....... ....

3.379307 PTP2/library.c(2): Device info:
3.379316 PTP2/library.c(2): Manufacturer: Eastman Kodak Company
3.379323 PTP2/library.c(2):   model: Z730 Zoom Digital Camera
3.379329 PTP2/library.c(2):   device version: 01.0000
3.379336 PTP2/library.c(2):   serial number: xxxxxxxxxxxx (I removed this)
3.379344 PTP2/library.c(2): Vendor extension ID: 0x00000001
3.379355 PTP2/library.c(2): Vendor extension description: Eastman Kodak PTP
Exte
nsions SPD Specification Ver1.00
3.379364 PTP2/library.c(2): Supported operations:
3.379371 PTP2/library.c(2):   0x1001
3.379377 PTP2/library.c(2):   0x1002
3.379384 PTP2/library.c(2):   0x1003
3.379391 PTP2/library.c(2):   0x1004
3.379397 PTP2/library.c(2):   0x1005
3.379403 PTP2/library.c(2):   0x1006
3.379410 PTP2/library.c(2):   0x1007
3.379416 PTP2/library.c(2):   0x1008
3.379423 PTP2/library.c(2):   0x1009
3.379431 PTP2/library.c(2):   0x100a
3.379440 PTP2/library.c(2):   0x100b
3.379446 PTP2/library.c(2):   0x100c
3.379453 PTP2/library.c(2):   0x100d
3.379459 PTP2/library.c(2):   0x100f
3.379466 PTP2/library.c(2):   0x1012
3.379472 PTP2/library.c(2):   0x1013
3.379479 PTP2/library.c(2):   0x1014
3.379485 PTP2/library.c(2):   0x1015
3.379491 PTP2/library.c(2):   0x1016
3.379498 PTP2/library.c(2):   0x1017
3.379504 PTP2/library.c(2):   0x101b
3.379511 PTP2/library.c(2):   0x9005
3.379517 PTP2/library.c(2):   0x9006
3.379524 PTP2/library.c(2):   0x9007
3.379530 PTP2/library.c(2):   0x9008
3.379537 PTP2/library.c(2):   0x9009
3.379543 PTP2/library.c(2):   0x900a
3.379550 PTP2/library.c(2):   0x900b
3.379556 PTP2/library.c(2):   0x900c
3.379563 PTP2/library.c(2):   0x900d
3.379569 PTP2/library.c(2):   0x900e
3.379576 PTP2/library.c(2):   0x900f
3.379582 PTP2/library.c(2):   0x9010
3.379589 PTP2/library.c(2):   0x9011
3.379597 PTP2/library.c(2):   0x9101
3.379606 PTP2/library.c(2):   0x9102
3.379613 PTP2/library.c(2):   0x9103
3.379619 PTP2/library.c(2):   0x9104
3.379626 PTP2/library.c(2): Events Supported:
3.379632 PTP2/library.c(2):   0x4001
3.379639 PTP2/library.c(2):   0x4002
3.379645 PTP2/library.c(2):   0x4003
3.379652 PTP2/library.c(2):   0x4004
3.379658 PTP2/library.c(2):   0x4005
3.379665 PTP2/library.c(2):   0x4006
3.379672 PTP2/library.c(2):   0x4009
3.379678 PTP2/library.c(2):   0x400e
3.379685 PTP2/library.c(2):   0xc001
3.379691 PTP2/library.c(2): Device Properties Supported:
3.379698 PTP2/library.c(2):   0x5001
3.379704 PTP2/library.c(2):   0x5011
3.379711 PTP2/library.c(2):   0xd006
3.379717 PTP2/library.c(2):   0xd007
3.379724 PTP2/library.c(2):   0xd008
3.379730 PTP2/library.c(2):   0xd009
3.379737 PTP2/library.c(2):   0xd00a
3.379764 gphoto2-port(2): Writing 24=0x18 byte(s) to port...
3.379774 gphoto2-port(3): Hexdump of 24 = 0x18 bytes follows:
0000  18 00 00 00 01 00 07 10-02 00 00 00 ff ff ff ff  ................
0010  00 00 00 00 00 00 00 00-                         ........

3.380235 gphoto2-port(2): Reading 4096=0x1000 bytes from port...
3.383238 gphoto2-port(2): Could only read 20 out of 4096 byte(s)
3.383254 gphoto2-port(3): Hexdump of 20 = 0x14 bytes follows:
0000  14 00 00 00 02 00 07 10-02 00 00 00 01 00 00 00  ................
0010  06 00 18 00            -                         ....

3.383269 gphoto2-port(2): Reading 4096=0x1000 bytes from port...
3.386236 gphoto2-port(2): Could only read 12 out of 4096 byte(s)
3.386252 gphoto2-port(3): Hexdump of 12 = 0xc bytes follows:
0000  0c 00 00 00 03 00 01 20-02 00 00 00              ....... ....

3.386340 gphoto2-port(2): Writing 16=0x10 byte(s) to port... \  10.0%
3.386351 gphoto2-port(3): Hexdump of 16 = 0x10 bytes follows:
0000  10 00 00 00 01 00 08 10-03 00 00 00 06 00 18 00  ................

3.387234 gphoto2-port(2): Reading 4096=0x1000 bytes from port...
3.391952 gphoto2-port(2): Could only read 126 out of 4096 byte(s)
3.391986 gphoto2-port(3): Hexdump of 126 = 0x7e bytes follows:
0000  7e 00 00 00 02 00 08 10-03 00 00 00 01 00 02 00  ~...............
0010  02 30 00 00 00 00 00 00-00 00 00 00 00 00 00 00  .0..............
0020  00 00 00 00 00 00 00 00-00 00 00 00 00 00 00 00  ................
0030  00 00 00 00 00 00 00 00-00 00 00 00 00 00 00 00  ................
0040  0d 44 00 44 00 49 00 53-00 43 00 56 00 52 00 59  .D.D.I.S.C.V.R.Y
0050  00 2e 00 44 00 50 00 53-00 00 00 00 10 32 00 30  ...D.P.S.....2.0
0060  00 30 00 30 00 30 00 31-00 30 00 31 00 54 00 30  .0.0.0.1.0.1.T.0
0070  00 30 00 30 00 30 00 30-00 30 00 00 00 00        .0.0.0.0.0....

3.392011 gphoto2-port(2): Reading 4096=0x1000 bytes from port...
3.393277 gphoto2-port(2): Could only read 12 out of 4096 byte(s)
3.393293 gphoto2-port(3): Hexdump of 12 = 0xc bytes follows:
0000  0c 00 00 00 03 00 01 20-03 00 00 00              ....... ....

3.393438 PTP2/library.c(2): ObjectInfo for 'DDISCVRY.DPS':
3.393454 PTP2/library.c(2):   Object ID: 0x00180006
3.393464 PTP2/library.c(2):   StorageID: 0x00020001
3.393471 PTP2/library.c(2):   ObjectFormat: 0x3002
3.393478 PTP2/library.c(2):   ProtectionStatus: 0x0000
3.393485 PTP2/library.c(2):   ObjectCompressedSize: 0
3.393497 PTP2/library.c(2):   ThumbFormat: 0x0000
3.393503 PTP2/library.c(2):   ThumbCompressedSize: 0
3.393510 PTP2/library.c(2):   ThumbPixWidth: 0
3.393517 PTP2/library.c(2):   ThumbPixHeight: 0
3.393523 PTP2/library.c(2):   ImagePixWidth: 0
3.393529 PTP2/library.c(2):   ImagePixHeight: 0
3.393536 PTP2/library.c(2):   ImageBitDepth: 0
3.393542 PTP2/library.c(2):   ParentObject: 0x00000000
3.393549 PTP2/library.c(2):   AssociationType: 0x0000
3.393556 PTP2/library.c(2):   AssociationDesc: 0x00000000
3.393565 PTP2/library.c(2):   SequenceNumber: 0x00000000
3.393794 gphoto2-port(2): Writing 16=0x10 byte(s) to port...
3.393810 gphoto2-port(3): Hexdump of 16 = 0x10 bytes follows:
0000  10 00 00 00 01 00 14 10-04 00 00 00 11 50 00 00  .............P..

3.394235 gphoto2-port(2): Reading 4096=0x1000 bytes from port...
3.397406 gphoto2-port(2): Could only read 84 out of 4096 byte(s)
3.397421 gphoto2-port(3): Hexdump of 84 = 0x54 bytes follows:
0000  54 00 00 00 02 00 14 10-04 00 00 00 11 50 ff ff  T............P..
0010  01 10 32 00 30 00 30 00-35 00 30 00 31 00 30 00  ..2.0.0.5.0.1.0.
0020  31 00 54 00 31 00 32 00-30 00 30 00 30 00 30 00  1.T.1.2.0.0.0.0.
0030  00 00 10 32 00 30 00 30-00 37 00 30 00 36 00 32  ...2.0.0.7.0.6.2
0040  00 32 00 54 00 32 00 33-00 32 00 37 00 35 00 32  .2.T.2.3.2.7.5.2
0050  00 00 00 00            -                         ....

3.397439 gphoto2-port(2): Reading 4096=0x1000 bytes from port...
3.400232 gphoto2-port(2): Could only read 12 out of 4096 byte(s)
3.400247 gphoto2-port(3): Hexdump of 12 = 0xc bytes follows:
0000  0c 00 00 00 03 00 01 20-04 00 00 00              ....... ....

/main/settings/time
3.400417 gp-camera(2): Freeing camera...
3.400432 gphoto2-camera(2): Exiting camera ('Kodak Z730')...
3.400447 ptp(2): PTP: Closing session
3.400458 gphoto2-port(2): Writing 12=0xc byte(s) to port...
3.400471 gphoto2-port(3): Hexdump of 12 = 0xc bytes follows:
0000  0c 00 00 00 01 00 03 10-05 00 00 00              ............

3.401309 gphoto2-port(2): Reading 4096=0x1000 bytes from port...
3.409280 gphoto2-port(2): Could only read 12 out of 4096 byte(s)
3.409295 gphoto2-port(3): Hexdump of 12 = 0xc bytes follows:
0000  0c 00 00 00 03 00 01 20-05 00 00 00              ....... ....

3.409314 gphoto2-port(2): Clear halt...
3.411227 gphoto2-port(2): Clear halt...
3.414227 gphoto2-port(2): Clear halt...
3.417324 gphoto2-port(2): Closing port...
3.420553 libgphoto2/gphoto2-filesys.c(2): Clearing fscache LRU list...
3.420568 libgphoto2/gphoto2-filesys.c(2): fscache LRU list already empty
3.420587 gphoto2-filesystem(2): Internally deleting all folders from '/'...
3.420606 gphoto2-port(2): Freeing port...
3.420615 gphoto2-port(2): Closing port...
3.420658 libgphoto2/gphoto2-filesys.c(2): Clearing fscache LRU list...
3.420667 libgphoto2/gphoto2-filesys.c(2): fscache LRU list already empty
3.420674 gphoto2-filesystem(2): Internally deleting all folders from '/'...

Auto-detect outputs:
Model                          Port
----------------------------------------------------------
Kodak Z730                     usb:

gphoto2 --abilities output:
Abilities for camera             : Kodak Z730
Serial port support              : no
USB support                      : yes
Capture choices                  :
                                 : Capture not supported by the driver
Configuration support            : no
Delete selected files on camera  : yes
Delete all files on camera       : no
File preview (thumbnail) support : yes
File upload support              : yes

gphoto2 --list-folders output:
There are 2 folders in folder '/'.
 - store_00010001
 - store_00020001
There are 0 folders in folder '/store_00010001'.
There are 0 folders in folder '/store_00020001'.

I had reformatted the internal and external storage to see if the storage
had become corrupted somehow, so there are not any files so the output is
correct at this time.

Again, this error does occur both under root and user. With or without
LDPATH and the library path defined for either user.

<div style="direction: ltr;">In answer to both...<br><br>------- Additional Comments From arnd.baecker web de &nbsp;2007-06-22 23:53 -------<br>Thanks a lot for the detailed description of your attempts;<br>unfortunately, I am running out of ideas ...
<br><br>The mesage<br></div><div style="direction: ltr;"><span class="q">digikam: ERROR: ImagePluginLoader: Failed to load plugin ImagePlugin_Core<br></span></div>sounds relevant (never had this myself before ...).<br>Just for completeness (I am sure you did):
<br>You do have LD_LIBRARY_PATH and LDPATH defined appropriately?<br><br>Does someone else have any idea how to proceed here?<br><br><div><span class="gmail_quote">On 22 Jun 2007 22:10:05 -0000, <b class="gmail_sendername">
Gilles Caulier</b> &lt;<a href="mailto:caulier.gilles@gmail.com">caulier.gilles@gmail.com</a>&gt; wrote:</span><blockquote class="gmail_quote" style="border-left: 1px solid rgb(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;">
------- Additional Comments From caulier.gilles gmail com&nbsp;&nbsp;2007-06-23 00:10 -------<br>Arnd,<br><br>==&gt; digikam: ERROR: ImagePluginLoader: Failed to load plugin ImagePlugin_Core<br><br>... is certainly duing of a wrong installation of plugins, or 
<a href="http://digikam.la">digikam.la</a> is a more recent version than DigikamImagePlugins (binary compatibility unrespected between plugin and shared lib &quot;<a href="http://libdigikam.la">libdigikam.la</a>&quot;<br>
<br>Solution : updated to 0.9.2...<br><br>Gilles<br></blockquote></div><br>I resolved the ==&gt; digikam: ERROR: ImagePluginLoader: Failed to load plugin ImagePlugin_Core by removing Digikam and reinstalling it.&nbsp; Previously I had just updated it over the last several months so apparently there was some legacy garbage that was not cleared or removed during the upgrade process via YAST.
<br><br>The error went away.<br><br>As for Gilles, this has been about the 0.9.2-final version all along.<br><br>Arnd, with references to the two paths that you asked about, the answer is no, neither are defined.&nbsp; To determine if this was a fault in my installation somehow, I created a new VM instance of SUSE 
10.2 x86 from DVD and after the installation completed and all the updates pulled down, neither path instance was defined by default, so this is not an error but by design apparently.&nbsp; To check your premise though, I googled information on it and found it on the Gentoo site and redefined it to suit my system as: LDPATH=&quot;/lib:/usr/lib:/usr/local/lib:/usr/lib64/gcc/x86_64-suse-linux&quot; and then exported it.&nbsp; I then started digikam from that terminal instance and it did not appear to make any difference, the issue still is there.&nbsp; 
<br><br>Since I had reloaded I also loaded the gphoto2 and tried the gphoto2 --list ports command and it did not recognize it as valid.&nbsp; So I looked at the help text and ran gphoto2 --list-config --debug and the following was output:
<br>3.352981 gphoto2-port-usb(1): Looking for USB device (vendor 0x40a, product 0x58<br>0)... found.<br>3.352990 gphoto2-port-usb(1): Detected defaults: config 1, interface 0, altsetti<br>ng 0, inep 81, outep 01, intep 82, class 06, subclass 01
<br>3.353000 gphoto2-abilities-list.c(2): Found &#39;Kodak Z730&#39; (0x40a,0x580)<br>3.353019 gphoto2-port(2): Freeing port...<br>3.353034 gphoto2-port(2): Closing port...<br>3.353394 gphoto2-camera(2): Setting abilities (&#39;Kodak Z730&#39;)...
<br>3.353417 gphoto2-port-info-list(2): Looking for path &#39;usb:&#39; (14 entries availabl<br>e)...<br>3.353438 gphoto2-port-info-list(2): Getting info of entry 9 (14 available)...<br>3.353455 gphoto2-camera(2): Setting port info for port &#39;Universal Serial Bus&#39; at
<br>&nbsp;&#39;usb:&#39;...<br>3.353873 gphoto2-port(2): Setting timeout to 5000 millisecond(s)...<br>3.353885 gphoto2-port(2): Setting settings...<br>3.353932 gphoto2-port-usb(1): Looking for USB device (vendor 0x40a, product 0x58
<br>0)... found.<br>3.353945 gphoto2-port-usb(1): Detected defaults: config 1, interface 0, altsetti<br>ng 0, inep 81, outep 01, intep 82, class 06, subclass 01<br>3.353955 gphoto2-camera(2): Loading &#39;/usr/lib64/libgphoto2/2.2.1.5.trunk/ptp2&#39;..
<br>.<br>3.354194 gphoto2-port(2): Opening USB port...<br>3.354249 gphoto2-port(0): Could not query kernel driver of device.<br>3.354322 gphoto2-port(2): Setting timeout to 8000 millisecond(s)...<br>3.354339 ptp(2): PTP: Opening session
<br>3.354353 gphoto2-port(2): Writing 16=0x10 byte(s) to port...<br>3.354367 gphoto2-port(3): Hexdump of 16 = 0x10 bytes follows:<br>0000&nbsp; 10 00 00 00 01 00 02 10-00 00 00 00 01 00 00 00&nbsp; ................<br><br>3.356312 gphoto2-port(2): Reading 4096=0x1000 bytes from port...
<br>3.373287 gphoto2-port(2): Could only read 12 out of 4096 byte(s)<br>3.373306 gphoto2-port(3): Hexdump of 12 = 0xc bytes follows:<br>0000&nbsp; 0c 00 00 00 03 00 01 20-00 00 00 00&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ....... ....<br><br>3.373320 gphoto2-port(2): Setting timeout to 20000 millisecond(s)...
<br>3.373340 gphoto2-port(2): Writing 12=0xc byte(s) to port...<br>3.373351 gphoto2-port(3): Hexdump of 12 = 0xc bytes follows:<br>0000&nbsp; 0c 00 00 00 01 00 01 10-01 00 00 00&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ............<br><br>3.375238 gphoto2-port(2): Reading 4096=0x1000 bytes from port...
<br>3.376235 gphoto2-port(2): Could only read 409 out of 4096 byte(s)<br>3.376254 gphoto2-port(3): Hexdump of 409 = 0x199 bytes follows:<br>0000&nbsp; 99 01 00 00 02 00 01 10-01 00 00 00 64 00 01 00&nbsp; ............d...<br>0010&nbsp; 00 00 90 01 37 45 00 61-00 73 00 74 00 6d 00 61&nbsp; ....7E.a.s.t.m.a
<br>0020&nbsp; 00 6e 00 20 00 4b 00 6f-00 64 00 61 00 6b 00 20&nbsp; .n. .K.o.d.a.k.<br>0030&nbsp; 00 50 00 54 00 50 00 20-00 45 00 78 00 74 00 65&nbsp; .P.T.P. .E.x.t.e<br>0040&nbsp; 00 6e 00 73 00 69 00 6f-00 6e 00 73 00 20 00 53&nbsp; .n.s.i.o.n.s. .S
<br>0050&nbsp; 00 50 00 44 00 20 00 53-00 70 00 65 00 63 00 69&nbsp; .P.D. .S.p.e.c.i<br>0060&nbsp; 00 66 00 69 00 63 00 61-00 74 00 69 00 6f 00 6e&nbsp; .f.i.c.a.t.i.o.n<br>0070&nbsp; 00 20 00 56 00 65 00 72-00 31 00 2e 00 30 00 30&nbsp; . .V.e.r.1...0.0
<br>0080&nbsp; 00 00 00 00 00 26 00 00-00 01 10 02 10 03 10 04&nbsp; .....&amp;..........<br>0090&nbsp; 10 05 10 06 10 07 10 08-10 09 10 0a 10 0b 10 0c&nbsp; ................<br>00a0&nbsp; 10 0d 10 0f 10 12 10 13-10 14 10 15 10 16 10 17&nbsp; ................
<br>00b0&nbsp; 10 1b 10 05 90 06 90 07-90 08 90 09 90 0a 90 0b&nbsp; ................<br>00c0&nbsp; 90 0c 90 0d 90 0e 90 0f-90 10 90 11 90 01 91 02&nbsp; ................<br>00d0&nbsp; 91 03 91 04 91 09 00 00-00 01 40 02 40 03 40 04&nbsp; ..........@.@.@.
<br>00e0&nbsp; 40 05 40 06 40 09 40 0e-40 01 c0 07 00 00 00 01&nbsp; @.@.@.@.@.......<br>00f0&nbsp; 50 11 50 06 d0 07 d0 08-d0 09 d0 0a d0 00 00 00&nbsp; P.P.............<br>0100&nbsp; 00 03 00 00 00 0d 30 01-38 02 b8 16 45 00 61 00&nbsp; ......0.8...E.a.
<br>0110&nbsp; 73 00 74 00 6d 00 61 00-6e 00 20 00 4b 00 6f 00&nbsp; s.t.m.a.n. .K.o.<br>0120&nbsp; 64 00 61 00 6b 00 20 00-43 00 6f 00 6d 00 70 00&nbsp; d.a.k. .C.o.m.p.<br>0130&nbsp; 61 00 6e 00 79 00 00 00-19 5a 00 37 00 33 00 30&nbsp; a.n.y....Z.7.3.0
<br>0140&nbsp; 00 20 00 5a 00 6f 00 6f-00 6d 00 20 00 44 00 69&nbsp; . .Z.o.o.m. .D.i<br>0150&nbsp; 00 67 00 69 00 74 00 61-00 6c 00 20 00 43 00 61&nbsp; .g.i.t.a.l. .C.a<br>0160&nbsp; 00 6d 00 65 00 72 00 61-00 00 00 08 30 00 31 00&nbsp; .m.e.r.a....0.1.
<br>0170&nbsp; 2e 00 30 00 30 00 30 00-30 00 00 00 0e 4b 00 43&nbsp; ..0.0.0.0....K.C<br>0180&nbsp; 00 4b 00 45 00 50 00 35-00 33 00 34 00 30 00 31&nbsp; .K.E.P.5.3.4.0.1<br>0190&nbsp; 00 32 00 37 00 35 00 00-00&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; .2.7.5...<br>
<br>3.376312 gphoto2-port(2): Reading 4096=0x1000 bytes from port...<br>3.379238 gphoto2-port(2): Could only read 12 out of 4096 byte(s)<br>3.379254 gphoto2-port(3): Hexdump of 12 = 0xc bytes follows:<br>0000&nbsp; 0c 00 00 00 03 00 01 20-01 00 00 00&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ....... ....
<br><br>3.379307 PTP2/library.c(2): Device info:<br>3.379316 PTP2/library.c(2): Manufacturer: Eastman Kodak Company<br>3.379323 PTP2/library.c(2):&nbsp;&nbsp; model: Z730 Zoom Digital Camera<br>3.379329 PTP2/library.c(2):&nbsp;&nbsp; device version: 
01.0000<br>3.379336 PTP2/library.c(2):&nbsp;&nbsp; serial number: xxxxxxxxxxxx (I removed this)<br>3.379344 PTP2/library.c(2): Vendor extension ID: 0x00000001<br>3.379355 PTP2/library.c(2): Vendor extension description: Eastman Kodak PTP Exte
<br>nsions SPD Specification Ver1.00<br>3.379364 PTP2/library.c(2): Supported operations:<br>3.379371 PTP2/library.c(2):&nbsp;&nbsp; 0x1001<br>3.379377 PTP2/library.c(2):&nbsp;&nbsp; 0x1002<br>3.379384 PTP2/library.c(2):&nbsp;&nbsp; 0x1003<br>3.379391
 PTP2/library.c(2):&nbsp;&nbsp; 0x1004<br>3.379397 PTP2/library.c(2):&nbsp;&nbsp; 0x1005<br>3.379403 PTP2/library.c(2):&nbsp;&nbsp; 0x1006<br>3.379410 PTP2/library.c(2):&nbsp;&nbsp; 0x1007<br>3.379416 PTP2/library.c(2):&nbsp;&nbsp; 0x1008<br>3.379423 PTP2/library.c(2):&nbsp;&nbsp; 0x1009
<br>3.379431 PTP2/library.c(2):&nbsp;&nbsp; 0x100a<br>3.379440 PTP2/library.c(2):&nbsp;&nbsp; 0x100b<br>3.379446 PTP2/library.c(2):&nbsp;&nbsp; 0x100c<br>3.379453 PTP2/library.c(2):&nbsp;&nbsp; 0x100d<br>3.379459 PTP2/library.c(2):&nbsp;&nbsp; 0x100f<br>3.379466 PTP2/library.c(2):&nbsp;&nbsp; 0x1012
<br>3.379472 PTP2/library.c(2):&nbsp;&nbsp; 0x1013<br>3.379479 PTP2/library.c(2):&nbsp;&nbsp; 0x1014<br>3.379485 PTP2/library.c(2):&nbsp;&nbsp; 0x1015<br>3.379491 PTP2/library.c(2):&nbsp;&nbsp; 0x1016<br>3.379498 PTP2/library.c(2):&nbsp;&nbsp; 0x1017<br>3.379504 PTP2/library.c(2):&nbsp;&nbsp; 0x101b
<br>3.379511 PTP2/library.c(2):&nbsp;&nbsp; 0x9005<br>3.379517 PTP2/library.c(2):&nbsp;&nbsp; 0x9006<br>3.379524 PTP2/library.c(2):&nbsp;&nbsp; 0x9007<br>3.379530 PTP2/library.c(2):&nbsp;&nbsp; 0x9008<br>3.379537 PTP2/library.c(2):&nbsp;&nbsp; 0x9009<br>3.379543 PTP2/library.c(2):&nbsp;&nbsp; 0x900a
<br>3.379550 PTP2/library.c(2):&nbsp;&nbsp; 0x900b<br>3.379556 PTP2/library.c(2):&nbsp;&nbsp; 0x900c<br>3.379563 PTP2/library.c(2):&nbsp;&nbsp; 0x900d<br>3.379569 PTP2/library.c(2):&nbsp;&nbsp; 0x900e<br>3.379576 PTP2/library.c(2):&nbsp;&nbsp; 0x900f<br>3.379582 PTP2/library.c(2):&nbsp;&nbsp; 0x9010
<br>3.379589 PTP2/library.c(2):&nbsp;&nbsp; 0x9011<br>3.379597 PTP2/library.c(2):&nbsp;&nbsp; 0x9101<br>3.379606 PTP2/library.c(2):&nbsp;&nbsp; 0x9102<br>3.379613 PTP2/library.c(2):&nbsp;&nbsp; 0x9103<br>3.379619 PTP2/library.c(2):&nbsp;&nbsp; 0x9104<br>3.379626 PTP2/library.c(2): Events Supported:
<br>3.379632 PTP2/library.c(2):&nbsp;&nbsp; 0x4001<br>3.379639 PTP2/library.c(2):&nbsp;&nbsp; 0x4002<br>3.379645 PTP2/library.c(2):&nbsp;&nbsp; 0x4003<br>3.379652 PTP2/library.c(2):&nbsp;&nbsp; 0x4004<br>3.379658 PTP2/library.c(2):&nbsp;&nbsp; 0x4005<br>3.379665 PTP2/library.c(2):&nbsp;&nbsp; 0x4006
<br>3.379672 PTP2/library.c(2):&nbsp;&nbsp; 0x4009<br>3.379678 PTP2/library.c(2):&nbsp;&nbsp; 0x400e<br>3.379685 PTP2/library.c(2):&nbsp;&nbsp; 0xc001<br>3.379691 PTP2/library.c(2): Device Properties Supported:<br>3.379698 PTP2/library.c(2):&nbsp;&nbsp; 0x5001<br>
3.379704 PTP2/library.c(2):&nbsp;&nbsp; 0x5011<br>3.379711 PTP2/library.c(2):&nbsp;&nbsp; 0xd006<br>3.379717 PTP2/library.c(2):&nbsp;&nbsp; 0xd007<br>3.379724 PTP2/library.c(2):&nbsp;&nbsp; 0xd008<br>3.379730 PTP2/library.c(2):&nbsp;&nbsp; 0xd009<br>3.379737 PTP2/library.c(2):&nbsp;&nbsp; 0xd00a
<br>3.379764 gphoto2-port(2): Writing 24=0x18 byte(s) to port...<br>3.379774 gphoto2-port(3): Hexdump of 24 = 0x18 bytes follows:<br>0000&nbsp; 18 00 00 00 01 00 07 10-02 00 00 00 ff ff ff ff&nbsp; ................<br>0010&nbsp; 00 00 00 00 00 00 00 00-&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ........
<br><br>3.380235 gphoto2-port(2): Reading 4096=0x1000 bytes from port...<br>3.383238 gphoto2-port(2): Could only read 20 out of 4096 byte(s)<br>3.383254 gphoto2-port(3): Hexdump of 20 = 0x14 bytes follows:<br>0000&nbsp; 14 00 00 00 02 00 07 10-02 00 00 00 01 00 00 00&nbsp; ................
<br>0010&nbsp; 06 00 18 00&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; -&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ....<br><br>3.383269 gphoto2-port(2): Reading 4096=0x1000 bytes from port...<br>3.386236 gphoto2-port(2): Could only read 12 out of 4096 byte(s)<br>3.386252 gphoto2-port(3): Hexdump of 12 = 0xc bytes follows:
<br>0000&nbsp; 0c 00 00 00 03 00 01 20-02 00 00 00&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ....... ....<br><br>3.386340 gphoto2-port(2): Writing 16=0x10 byte(s) to port... \&nbsp; 10.0%<br>3.386351 gphoto2-port(3): Hexdump of 16 = 0x10 bytes follows:<br>0000&nbsp; 10 00 00 00 01 00 08 10-03 00 00 00 06 00 18 00&nbsp; ................
<br><br>3.387234 gphoto2-port(2): Reading 4096=0x1000 bytes from port...<br>3.391952 gphoto2-port(2): Could only read 126 out of 4096 byte(s)<br>3.391986 gphoto2-port(3): Hexdump of 126 = 0x7e bytes follows:<br>0000&nbsp; 7e 00 00 00 02 00 08 10-03 00 00 00 01 00 02 00&nbsp; ~...............
<br>0010&nbsp; 02 30 00 00 00 00 00 00-00 00 00 00 00 00 00 00&nbsp; .0..............<br>0020&nbsp; 00 00 00 00 00 00 00 00-00 00 00 00 00 00 00 00&nbsp; ................<br>0030&nbsp; 00 00 00 00 00 00 00 00-00 00 00 00 00 00 00 00&nbsp; ................
<br>0040&nbsp; 0d 44 00 44 00 49 00 53-00 43 00 56 00 52 00 59&nbsp; .D.D.I.S.C.V.R.Y<br>0050&nbsp; 00 2e 00 44 00 50 00 53-00 00 00 00 10 32 00 30&nbsp; ...D.P.S.....2.0<br>0060&nbsp; 00 30 00 30 00 30 00 31-00 30 00 31 00 54 00 30&nbsp; .0.0.0.1.0.1.T.0
<br>0070&nbsp; 00 30 00 30 00 30 00 30-00 30 00 00 00 00&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; .0.0.0.0.0....<br><br>3.392011 gphoto2-port(2): Reading 4096=0x1000 bytes from port...<br>3.393277 gphoto2-port(2): Could only read 12 out of 4096 byte(s)<br>3.393293
 gphoto2-port(3): Hexdump of 12 = 0xc bytes follows:<br>0000&nbsp; 0c 00 00 00 03 00 01 20-03 00 00 00&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ....... ....<br><br>3.393438 PTP2/library.c(2): ObjectInfo for &#39;DDISCVRY.DPS&#39;:<br>3.393454 PTP2/library.c(2):&nbsp;&nbsp; Object ID: 0x00180006
<br>3.393464 PTP2/library.c(2):&nbsp;&nbsp; StorageID: 0x00020001<br>3.393471 PTP2/library.c(2):&nbsp;&nbsp; ObjectFormat: 0x3002<br>3.393478 PTP2/library.c(2):&nbsp;&nbsp; ProtectionStatus: 0x0000<br>3.393485 PTP2/library.c(2):&nbsp;&nbsp; ObjectCompressedSize: 0
<br>3.393497 PTP2/library.c(2):&nbsp;&nbsp; ThumbFormat: 0x0000<br>3.393503 PTP2/library.c(2):&nbsp;&nbsp; ThumbCompressedSize: 0<br>3.393510 PTP2/library.c(2):&nbsp;&nbsp; ThumbPixWidth: 0<br>3.393517 PTP2/library.c(2):&nbsp;&nbsp; ThumbPixHeight: 0<br>3.393523
 PTP2/library.c(2):&nbsp;&nbsp; ImagePixWidth: 0<br>3.393529 PTP2/library.c(2):&nbsp;&nbsp; ImagePixHeight: 0<br>3.393536 PTP2/library.c(2):&nbsp;&nbsp; ImageBitDepth: 0<br>3.393542 PTP2/library.c(2):&nbsp;&nbsp; ParentObject: 0x00000000<br>3.393549 PTP2/library.c(2):&nbsp;&nbsp; AssociationType: 0x0000
<br>3.393556 PTP2/library.c(2):&nbsp;&nbsp; AssociationDesc: 0x00000000<br>3.393565 PTP2/library.c(2):&nbsp;&nbsp; SequenceNumber: 0x00000000<br>3.393794 gphoto2-port(2): Writing 16=0x10 byte(s) to port...<br>3.393810 gphoto2-port(3): Hexdump of 16 = 0x10 bytes follows:
<br>0000&nbsp; 10 00 00 00 01 00 14 10-04 00 00 00 11 50 00 00&nbsp; .............P..<br><br>3.394235 gphoto2-port(2): Reading 4096=0x1000 bytes from port...<br>3.397406 gphoto2-port(2): Could only read 84 out of 4096 byte(s)<br>3.397421
 gphoto2-port(3): Hexdump of 84 = 0x54 bytes follows:<br>0000&nbsp; 54 00 00 00 02 00 14 10-04 00 00 00 11 50 ff ff&nbsp; T............P..<br>0010&nbsp; 01 10 32 00 30 00 30 00-35 00 30 00 31 00 30 00&nbsp; ..2.0.0.5.0.1.0.<br>0020&nbsp; 31 00 54 00 31 00 32 00-30 00 30 00 30 00 30 00&nbsp; 
1.T.1.2.0.0.0.0.<br>0030&nbsp; 00 00 10 32 00 30 00 30-00 37 00 30 00 36 00 32&nbsp; ...2.0.0.7.0.6.2<br>0040&nbsp; 00 32 00 54 00 32 00 33-00 32 00 37 00 35 00 32&nbsp; .2.T.2.3.2.7.5.2<br>0050&nbsp; 00 00 00 00&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; -&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ....
<br><br>3.397439 gphoto2-port(2): Reading 4096=0x1000 bytes from port...<br>3.400232 gphoto2-port(2): Could only read 12 out of 4096 byte(s)<br>3.400247 gphoto2-port(3): Hexdump of 12 = 0xc bytes follows:<br>0000&nbsp; 0c 00 00 00 03 00 01 20-04 00 00 00&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ....... ....
<br><br>/main/settings/time<br>3.400417 gp-camera(2): Freeing camera...<br>3.400432 gphoto2-camera(2): Exiting camera (&#39;Kodak Z730&#39;)...<br>3.400447 ptp(2): PTP: Closing session<br>3.400458 gphoto2-port(2): Writing 12=0xc byte(s) to port...
<br>3.400471 gphoto2-port(3): Hexdump of 12 = 0xc bytes follows:<br>0000&nbsp; 0c 00 00 00 01 00 03 10-05 00 00 00&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ............<br><br>3.401309 gphoto2-port(2): Reading 4096=0x1000 bytes from port...<br>3.409280 gphoto2-port(2): Could only read 12 out of 4096 byte(s)
<br>3.409295 gphoto2-port(3): Hexdump of 12 = 0xc bytes follows:<br>0000&nbsp; 0c 00 00 00 03 00 01 20-05 00 00 00&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ....... ....<br><br>3.409314 gphoto2-port(2): Clear halt...<br>3.411227 gphoto2-port(2): Clear halt...
<br>3.414227 gphoto2-port(2): Clear halt...<br>3.417324 gphoto2-port(2): Closing port...<br>3.420553 libgphoto2/gphoto2-filesys.c(2): Clearing fscache LRU list...<br>3.420568 libgphoto2/gphoto2-filesys.c(2): fscache LRU list already empty
<br>3.420587 gphoto2-filesystem(2): Internally deleting all folders from &#39;/&#39;...<br>3.420606 gphoto2-port(2): Freeing port...<br>3.420615 gphoto2-port(2): Closing port...<br>3.420658 libgphoto2/gphoto2-filesys.c(2): Clearing fscache LRU list...
<br>3.420667 libgphoto2/gphoto2-filesys.c(2): fscache LRU list already empty<br>3.420674 gphoto2-filesystem(2): Internally deleting all folders from &#39;/&#39;...<br><br>Auto-detect outputs:<br>Model&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Port
<br>----------------------------------------------------------<br>Kodak Z730&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; usb:<br><br>gphoto2 --abilities output:<br>Abilities for camera&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; : Kodak Z730<br>Serial port support&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; : no
<br>USB support&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; : yes<br>Capture choices&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; :<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; : Capture not supported by the driver<br>Configuration support&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; : no<br>Delete selected files on camera&nbsp; : yes
<br>Delete all files on camera&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; : no<br>File preview (thumbnail) support : yes<br>File upload support&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; : yes<br><br>gphoto2 --list-folders output:<br>There are 2 folders in folder &#39;/&#39;.<br>&nbsp;- store_00010001
<br>&nbsp;- store_00020001<br>There are 0 folders in folder &#39;/store_00010001&#39;.<br>There are 0 folders in folder &#39;/store_00020001&#39;.<br><br>I had reformatted the internal and external storage to see if the storage had become corrupted somehow, so there are not any files so the output is correct at this time.
<br><br>Again, this error does occur both under root and user. With or without LDPATH and the library path defined for either user.<br><br>-- <br>Doug Glenn<br>FORUM Information Systems, LLC<br><a href="http://foruminfosystems.com">
http://foruminfosystems.com</a>
Comment 6 Arnd Baecker 2007-06-23 10:37:36 UTC
To start with ;-), could you please configure your mailer such
that it does not quote the whole message, which is done in html and
clutters the B.K.O, see
 http://bugs.kde.org/show_bug.cgi?id=147071

Just to be sure about the status:
So, doesn't the previous mean, that gphoto does recognize the camera?
If yes, could you try to download, using the gphoto2 interface,
some pictures from your camera?
Another option to try is the program gtkam which is a gtk front-end for
gphoto2 (just for a test)

Once it is clear, that the problem is not on the gphoto2 side,
it has be be figured out how to debug this further ...
Comment 7 caulier.gilles 2007-06-23 12:37:27 UTC
Marcus,

Can you give us your viewpoint about this report ?

Thanks in advance

Gilles Caulier


 
Comment 8 Marcus Meissner 2007-06-23 14:01:30 UTC
The gphoto2 trace suggests that the camera works from userspace, but it has
just 1 file on it.

Just for completeness, does "gphoto2 -L"  work and show the 1 file?

And i if you have images on the camera, are they shown when running gphoto2 -L ?
Comment 9 Doug Glenn 2007-06-23 20:44:42 UTC
On 23 Jun 2007 12:01:31 -0000, Marcus Meissner <marcus@jet.franken.de>
wrote:
>
> ------- Additional Comments From marcus jet franken de  2007-06-23 14:01
> -------
> The gphoto2 trace suggests that the camera works from userspace, but it
> has
> just 1 file on it.
>
> Just for completeness, does "gphoto2 -L"  work and show the 1 file?
>
> And i if you have images on the camera, are they shown when running
> gphoto2 -L ?
>


I installed gtkam from an earlier suggestion and was able to access to
camera and a picture I had taken this morning.    This was after Digikam
autolaunched on the cameras insertion, errored and was shut down.  It was
then I ran gtkam and was able to access it.

BUT... after that I tried to do the gphoto2 -l to get the results from it
and that process 'locked up' in that it never returned data, so I closed out
the terminal window I was running it on and tried again only to now have it
say the process is locked.  I can't access it using gtkam again either.  I
exited the X session and logged back in.  Still has the camera locked.
Rebooted the system and I could access the camera using gtkam again.
Attempted to do a gphoto2 -L again and again it has locked up the camera.

BTW, FSPOT was able to access it as well from a vmware session (virtual Suse
10.2) prior to running the gphoto2 -L command.  However after this command
is executed the camera is effectively locked up for all applications until
the computer has been restarted.

<br><br><div><span class="gmail_quote">On 23 Jun 2007 12:01:31 -0000, <b class="gmail_sendername">Marcus Meissner</b> &lt;<a href="mailto:marcus@jet.franken.de" target="_blank" onclick="return top.js.OpenExtLink(window,event,this)">
marcus@jet.franken.de</a>&gt; wrote:</span><blockquote class="gmail_quote" style="border-left: 1px solid rgb(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;">
------- Additional Comments From marcus jet franken de&nbsp;&nbsp;2007-06-23 14:01 -------<br>The gphoto2 trace suggests that the camera works from userspace, but it has<br>just 1 file on it.<br><br>Just for completeness, does &quot;gphoto2 -L&quot;&nbsp;&nbsp;work and show the 1 file?
<br><br>And i if you have images on the camera, are they shown when running gphoto2 -L ?<br></blockquote></div><br>I installed gtkam from an earlier suggestion and was able to access to camera and a picture I had taken this morning.&nbsp;&nbsp;&nbsp; This was after Digikam autolaunched on the cameras insertion, errored and was shut down.&nbsp; It was then I ran gtkam and was able to access it.
<br><br>BUT... after that I tried to do the gphoto2 -l to get the results from it and that process &#39;locked up&#39; in that it never returned data, so I closed out the terminal window I was running it on and tried again only to now have it say the process is locked.&nbsp; I can&#39;t access it using gtkam again either.&nbsp; 
I exited the X session and logged back in.&nbsp; Still has the camera locked.&nbsp; Rebooted the system and I could access the camera using gtkam again. Attempted to do a gphoto2 -L again and again it has locked up the camera.<br>
<br>BTW, FSPOT was able to access it as well from a vmware session (virtual Suse 10.2) prior to running the gphoto2 -L command.&nbsp; However after this command is executed the camera is effectively locked up for all applications until the computer has been restarted.
<br clear="all"><br>-- <br>Doug Glenn<br>FORUM Information Systems, LLC<br><a href="http://foruminfosystems.com" target="_blank" onclick="return top.js.OpenExtLink(window,event,this)">http://foruminfosystems.com</a>
Comment 10 caulier.gilles 2007-08-31 08:05:29 UTC
Doug, 

I recommend you to update libgphoto2 on your computer and try again. Thanks in advance

Gilles
Comment 11 Doug Glenn 2007-08-31 13:29:36 UTC
Giles,

I am currently on it.  I found with the later revisions coming out of suse it still errors initially, but if I tell it to retry it will eventually find it.  It may actually be a time out error associated with the file system build.

It is livable at this time :)
Comment 12 Arnd Baecker 2007-11-05 10:22:14 UTC
Hi Doug, 

any update on this bug, should we close it?

Many thanks in advance,

Arnd
Comment 13 Doug Glenn 2007-11-05 14:22:02 UTC
Yes, my bad.  I should have updated it.

On 5 Nov 2007 09:22:15 -0000, Arnd Baecker <arnd.baecker@web.de> wrote:
[bugs.kde.org quoted mail]
Comment 14 Arnd Baecker 2007-11-05 14:50:48 UTC
Doug, no problem!
So I am closing this bug now, but in case you encounter any problems,
don't hesitate to re-open!

Thanks a lot for the feedback, Arnd